<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente'));
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("xxxxx Operador: $nomeOperador idlabo=$idLabo amostraLong=$amostraLong<br>");
//AQUI SO COLOCA OS TESTES E INFORMA O NUMERO DE TESTES NO FINAL O RESTO FICA PRONTO AUTOMATICAMENTE SO NAO PODE FICAR TROCANDO OS NOMES
echo("Este formulario tem as funcoes SELECIONAR,INCLUIR E EXCLUIR<br>");
//acha os testes e coloca numa tabela
          //deve verificar se tem o registro
		   
			$userRean1 = new rean1();
		    $userRean1->extras_select =  " where  rea_teste='GERM' and  rea_ficha=".$amostraLong;
		    $userRean1->selecionaCampos($userRean1);
            echo("<table>");			
		    while ($resRean1 = $userRean1->retornaDados()):
		        $reanLong=$resRean1->rea_id;
		        echo "<tr>";
		      
  		            printf('<td>%s',substr($resRean1->rea_id,0,20));
					printf('<a href="?m=remetentes&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=remetentes&t=excluir&prd_id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					<a href="?m=remetentes&t=relacionar&prd_id=%s" title="Relacionar"><img src="images/relacionar.png" alt="Relacionar" /></a>
					<a href="?m=remetentes&t=editar&prd_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$resRean1->rea_id,$resRean1->rea_id,$resRean1->rea_id,$resRean1->rea_id);
					
					
                    printf('<td>%s</td>',substr($resRean1->rea_datageralteste,0,14));
					
					
					
			

		        echo "</tr>";
			endwhile;	   


            echo("</table>");			
		   
           //echo $reanLong;










//$quantosTestes=26;


/////////////////////
if (isset($_POST['editarxxxxxxxx'])):
   //deleta todos os testes para regravalos logo em seguida
    $user = new testesSolicitados();
    $user->valorpk = $tes_ficha;
    $user->extras_select = " WHERE tes_ficha=".$amostraLong;
	$user->deletarRegistros($user);
    //vai verificar quais os testes foram marcados com uso do comendo isset
	for($i=1;$i<=$quantosTestes;$i++)
	{
	   if (isset($_POST[$vetor[$i]])):
	       //echo("aqui ahcou $vetor[$i]<br>");
	       $userTestes = new testesSolicitados(array(
	          'tes_ficha'=>$amostraLong,
	          'tes_teste'=>$vetor[$i],
	       ));
	       $userTestes->inserir($userTestes);
	   endif;
	}
	//vai calcular e salvar na ficha
	$objetocalculo=new calculos();
    $custo=$objetocalculo->calculaCusto($amostraLong);	
	
	echo("Ok,gravou e atualizou o campo custo da amostra! valor=$custo<br>");
endif;
//aqui cria um segundo vetor com mesmo tamanho do vetor de testes e que serve para armazenar no 
//mesmo indice do vetor principal a palavra checked se o teste foi solicitado
$user = new testesSolicitados();
$user->extras_select = "where tes_ficha=".$amostraLong;
$user->selecionaTudo($user);
while ($res = $user->retornaDados()):
    //para cada registro ele varre o array para ver o indice. quando encontra ele grava o valor no segundo vetor 
    for($i=1;$i<=$quantosTestes;$i++)
	{
        if($res->tes_teste==$vetor[$i]) $segundoVetor[$i]='checked';
		//echo $res->tes_teste;
	}
endwhile;                
?>

<script type="text/javascript"> 
function closeIframe() 
{ 
   parent.document.getElementById("userform").style.display="none" 
} 
</script> 




<html>
<body bgcolor="#b8cfe2">
<form class="userform" method="post" action="">
     <fieldset>
      <table>
        <?php
        $conta=0;
		for($i=1;$i<=$quantosTestes;$i++)
		{
        if($conta==15) $conta=0;
        if($conta==0) echo'<tr>';
		$conta++;
		?>
        <td bgcolor="#aab3e6"><?php echo $vetor[$i];?><input type="checkbox"  <?php echo $segundoVetor[$i];?>   name="<?php echo $vetor[$i];?>" /><td>
        <?php
        if($conta==0) echo'</tr>';
		}
    	?>
		</table>  
		</fieldset> 
		
		
		<table>
		<tr>
        <td>
			<input type="submit" name="editar" value="Salvar testes assinalados neste box" />
		</td>		
		</tr>
		</table>
        Obs.: Os testes que tem asterisco nesta lista, levam legenda correspondente, nas observações do informe MODELO2015.<br>   
        Para replicar os testes a realizar, para amostras NOVAS: Acesse MANUTENÇÃO-->CONFIGURACOES e salve sua opção.<br>   
        
</form>
</body>



</html>
